/**
 * Задание 1.
 *
 * Написать скрипт, который создаст квадрат произвольного размера.
 *
 * Размер квадрата в пикселях получить интерактивно посредством диалогового окна prompt.
 *
 * Если пользователь ввёл размер квадрата в некорректном формате —
 * запрашивать данные повторно до тех пор, пока данные не будут введены корректно.
 *
 * Все стили для квадрата задать через JavaScript посредством одной строки кода.
 *
 * Тип элемента, описывающего квадрат — div.
 * Задать ново-созданному элементу CSS-класс .square.
 *
 * Квадрат в виде стилизированного элемента div необходимо
 * сделать первым и единственным потомком body документа.
 */

// 1. Сделаем функцию которая будет запрашивать данные размер кубика
// 2. Сделаем проверку веденного размера кубика
// 3. Сдоздадим элемент div
// 4. Присвоим ему класс square
// 5. Дадим ему свойства что бы получился кубик

const square = () => {
	let size = Number.parseInt( prompt( "Введите данные квадрата в пикселях: ", `50` ) )
	while ( size === null || Number.isNaN( size ) ) {
		size = Number.parseInt( prompt( "Введите данные квадрата в пикселях коректно: ", `50` ) )
	}
	const newSquare = document.createElement( "div" );
	newSquare.classList.add( "square" );
	newSquare.style.cssText = `
        width:${ size }px;
        height:${ size }px;
        background-color: red;
    `;
	document.body.prepend( newSquare )
}
square()
